<!DOCTYPE html>
<html class="no-js">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">
    <title>PBEKeySpecCommon</title>
    <link href="../../../images/logo-icon.svg" rel="icon" type="image/svg">
    <script>var pathToRoot = "../../../";</script>
    <script>document.documentElement.classList.replace("no-js","js");</script>
    <script>const storage = localStorage.getItem("dokka-dark-mode")
    if (storage == null) {
        const osDarkSchemePreferred = window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches
        if (osDarkSchemePreferred === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    } else {
        const savedDarkMode = JSON.parse(storage)
        if(savedDarkMode === true) {
            document.getElementsByTagName("html")[0].classList.add("theme-dark")
        }
    }
    </script>
<script type="text/javascript" src="https://unpkg.com/kotlin-playground@1/dist/playground.min.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/sourceset_dependencies.js" async="async"></script>
<link href="../../../styles/style.css" rel="Stylesheet">
<link href="../../../styles/main.css" rel="Stylesheet">
<link href="../../../styles/prism.css" rel="Stylesheet">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
<link href="../../../styles/font-jb-sans-auto.css" rel="Stylesheet">
<script type="text/javascript" src="../../../scripts/clipboard.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/navigation-loader.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/platform-content-handler.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/main.js" defer="defer"></script>
<script type="text/javascript" src="../../../scripts/prism.js" async="async"></script>
<script type="text/javascript" src="../../../scripts/symbol-parameters-wrapper_deferred.js" defer="defer"></script>
<link href="../../../images/nexa-64x64.png">
<link href="../../../images/logo-icon.svg">
<link href="../../../styles/logo-styles.css" rel="Stylesheet">
</head>
<body>
    <div class="root">
<nav class="navigation" id="navigation-wrapper">
    <div class="navigation--inner">
        <div class="navigation-title">
            <button class="menu-toggle" id="menu-toggle" type="button">toggle menu</button>
            <div class="library-name">
                    <a class="library-name--link" href="../../../index.html">
                            libnexakotlin
                    </a>
            </div>
            <div class="library-version">
0.0.22            </div>
        </div>
        <div class="filter-section" id="filter-section">
                <button class="platform-tag platform-selector common-like" data-active="" data-filter=":libnexakotlin:dokkaHtml/nativeMain">native</button>
        </div>
    </div>
    <div class="navigation-controls">
        <button class="navigation-controls--btn navigation-controls--theme" id="theme-toggle-button" type="button">switch theme</button>
        <div class="navigation-controls--btn navigation-controls--search" id="searchBar" role="button">search in API</div>
    </div>
</nav>
        <div id="container">
            <div class="sidebar" id="leftColumn">
                <div class="sidebar--inner" id="sideMenu"></div>
            </div>
            <div id="main">
<div class="main-content" data-page-type="classlike" id="content" pageIds="libnexakotlin::org.nexa.libnexakotlin/PBEKeySpecCommon///PointingToDeclaration//-1428659706">
  <div class="breadcrumbs"><a href="../../../index.html">libnexakotlin</a><span class="delimiter">/</span><a href="../index.html">org.nexa.libnexakotlin</a><span class="delimiter">/</span><span class="current">PBEKeySpecCommon</span></div>
  <div class="cover ">
    <h1 class="cover"><span>PBEKey</span><wbr></wbr><span>Spec</span><wbr></wbr><span><span>Common</span></span></h1>
    <div class="platform-hinted  with-platform-tabs" data-platform-hinted="data-platform-hinted">
      <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><div class="symbol monospace"><span class="token keyword">class </span><a href="index.html">PBEKeySpecCommon</a></div></div>    </div>
  </div>
  <div class="tabbedcontent">
    <div class="tabs-section" tabs-section="tabs-section"><button class="section-tab" data-active="" data-togglable="CONSTRUCTOR,TYPE,PROPERTY,FUNCTION">Members</button></div>
    <div class="tabs-section-body">
      <div data-togglable="CONSTRUCTOR">
        <h2 class="">Constructors</h2>
        <div class="table"><a data-name="-1955314673%2FConstructors%2F-1428659706" anchor-label="PBEKeySpecCommon" id="-1955314673%2FConstructors%2F-1428659706" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain"></a>
          <div class="table-row" data-togglable="CONSTRUCTOR" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="-p-b-e-key-spec-common.html"><span>PBEKey</span><wbr></wbr><span>Spec</span><wbr></wbr><span><span>Common</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1955314673%2FConstructors%2F-1428659706"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted  with-platform-tabs" data-platform-hinted="data-platform-hinted">
                    <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><div class="symbol monospace"><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">password<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-char-array/index.html">CharArray</a><span class="token operator">?</span></span></span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Constructor that takes a password. An empty char[] is used if null is specified.</p></div><div class="symbol monospace"><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">password<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-char-array/index.html">CharArray</a><span class="token operator">?</span><span class="token punctuation">, </span></span><span class="parameter ">salt<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator">?</span><span class="token punctuation">, </span></span><span class="parameter ">iterationCount<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a><span class="token punctuation">, </span></span><span class="parameter ">keyLength<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a></span></span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Constructor that takes a password, salt, iteration count, and to-be-derived key length for generating PBEKey of variable-key-size PBE ciphers.  An empty char[] is used if null is specified for <code class="lang-kotlin">password</code>.</p></div><div class="symbol monospace"><span class="token keyword">constructor</span><span class="token punctuation">(</span><span class="parameters "><span class="parameter ">password<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-char-array/index.html">CharArray</a><span class="token operator">?</span><span class="token punctuation">, </span></span><span class="parameter ">salt<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator">?</span><span class="token punctuation">, </span></span><span class="parameter ">iterationCount<span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a></span></span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Constructor that takes a password, salt, iteration count for generating PBEKey of fixed-key-size PBE ciphers. An empty char[] is used if null is specified for <code class="lang-kotlin">password</code>.</p></div></div>                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="PROPERTY">
        <h2 class="">Properties</h2>
        <div class="table"><a data-name="-2043479365%2FProperties%2F-1428659706" anchor-label="iterationCount" id="-2043479365%2FProperties%2F-1428659706" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="iteration-count.html"><span>iteration</span><wbr></wbr><span><span>Count</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-2043479365%2FProperties%2F-1428659706"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted  with-platform-tabs" data-platform-hinted="data-platform-hinted">
                    <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">var </span><a href="iteration-count.html">iterationCount</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a></div><div class="brief "><p class="paragraph">Returns the iteration count or 0 if not specified.</p></div></div>                  </div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-1574617016%2FProperties%2F-1428659706" anchor-label="keyLength" id="-1574617016%2FProperties%2F-1428659706" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="key-length.html"><span>key</span><wbr></wbr><span><span>Length</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-1574617016%2FProperties%2F-1428659706"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted  with-platform-tabs" data-platform-hinted="data-platform-hinted">
                    <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">var </span><a href="key-length.html">keyLength</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a></div><div class="brief "><p class="paragraph">Returns the to-be-derived key length or 0 if not specified.</p></div></div>                  </div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-478920590%2FProperties%2F-1428659706" anchor-label="password" id="-478920590%2FProperties%2F-1428659706" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="password.html"><span><span>password</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-478920590%2FProperties%2F-1428659706"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted  with-platform-tabs" data-platform-hinted="data-platform-hinted">
                    <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">var </span><a href="password.html">password</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-char-array/index.html">CharArray</a><span class="token operator">?</span></div><div class="brief "><p class="paragraph">Returns a copy of the password.</p></div></div>                  </div>
                </div>
              </div>
            </div>
          </div>
<a data-name="-463566057%2FProperties%2F-1428659706" anchor-label="salt" id="-463566057%2FProperties%2F-1428659706" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="salt.html"><span><span>salt</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="-463566057%2FProperties%2F-1428659706"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted  with-platform-tabs" data-platform-hinted="data-platform-hinted">
                    <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">var </span><a href="salt.html">salt</a><span class="token operator">: </span><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-byte-array/index.html">ByteArray</a><span class="token operator">?</span></div><div class="brief "><p class="paragraph">Returns a copy of the salt or null if not specified.</p></div></div>                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div data-togglable="FUNCTION">
        <h2 class="">Functions</h2>
        <div class="table"><a data-name="636524485%2FFunctions%2F-1428659706" anchor-label="clearPassword" id="636524485%2FFunctions%2F-1428659706" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain"></a>
          <div class="table-row" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain">
            <div class="main-subrow keyValue ">
              <div class=""><span class="inline-flex">
                  <div><a href="clear-password.html"><span>clear</span><wbr></wbr><span><span>Password</span></span></a></div>
<span class="anchor-wrapper"><span class="anchor-icon" pointing-to="636524485%2FFunctions%2F-1428659706"></span>
                    <div class="copy-popup-wrapper "><span class="copy-popup-icon"></span><span>Link copied to clipboard</span></div>
                  </span></span></div>
              <div>
                <div class="title">
                  <div class="platform-hinted  with-platform-tabs" data-platform-hinted="data-platform-hinted">
                    <div class="platform-bookmarks-row" data-toggle-list="data-toggle-list"><button class="platform-bookmark" data-filterable-current=":libnexakotlin:dokkaHtml/nativeMain" data-filterable-set=":libnexakotlin:dokkaHtml/nativeMain" data-active="" data-toggle=":libnexakotlin:dokkaHtml/nativeMain">native</button></div>
<div class="content sourceset-dependent-content" data-active="" data-togglable=":libnexakotlin:dokkaHtml/nativeMain"><div class="symbol monospace"><span class="token keyword"></span><span class="token keyword">fun </span><a href="clear-password.html"><span class="token function">clearPassword</span></a><span class="token punctuation">(</span><span class="token punctuation">)</span></div><div class="brief "><p class="paragraph">Clears the internal copy of the password.</p></div></div>                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
      <div class="footer">
        <span class="go-to-top-icon"><a href="#content" id="go-to-top-link"></a></span><span>(c) 2023 Bitcoin Unlimited</span><span
                class="pull-right"><span>Generated by </span><a
                href="https://github.com/Kotlin/dokka"><span>dokka</span><span class="padded-icon"></span></a></span>
      </div>
            </div>
        </div>
    </div>
</body>
</html>
